/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `form_default_message`
--
DROP TABLE IF EXISTS `form_default_message`;
CREATE TABLE `form_default_message` (
  `welcome_message` text,
  `unavailability_message` text,
  `requirement_message` text,
  `recap_message` text,
  `libelle_validate_button`varchar(255),
  `back_url` text
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



--
-- Table structure for table `form_entry`
--

DROP TABLE IF EXISTS `form_entry`;
CREATE TABLE `form_entry` (
  `id_entry` int(11) NOT NULL default '0',
  `id_form` int(11) NOT NULL default '0',
  `id_type` int(11) NOT NULL default '0',
  `id_parent` int(11) default NULL,
  `title` text,
  `help_message` text,
  `comment` text,
  `mandatory` tinyint(1) default NULL,
  `fields_in_line` tinyint(1) default NULL,
  `position` int(11) default NULL,
  `id_field_depend` int(11) default NULL,
  PRIMARY KEY  (`id_entry`),
  KEY `form_fk` (`id_form`),
  KEY `parent_fk` (`id_parent`),
  KEY `enter_type_fk` (`id_type`),
  KEY `field_depend` (`id_field_depend`),
  CONSTRAINT `fk_parent` FOREIGN KEY (`id_parent`) REFERENCES `form_entry` (`id_entry`),
  CONSTRAINT `fk_enter_type` FOREIGN KEY (`id_type`) REFERENCES `form_entry_type` (`id_type`),
  CONSTRAINT `fk_field2_depend` FOREIGN KEY (`id_field_depend`) REFERENCES `form_field` (`id_field`),
  CONSTRAINT `fk_form` FOREIGN KEY (`id_form`) REFERENCES `form_form` (`id_form`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



--
-- Table structure for table `form_entry_type`
--

DROP TABLE IF EXISTS `form_entry_type`;
CREATE TABLE `form_entry_type` (
  `id_type` int(11) NOT NULL default '0',
  `title` varchar(255),
  `is_group` tinyint(1) default NULL,
  `is_comment` int(11) default NULL,
  `class_name` varchar(255),
  PRIMARY KEY  (`id_type`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_export_format`
--

DROP TABLE IF EXISTS `form_export_format`;
CREATE TABLE `form_export_format` (
  `id_export` int(11) NOT NULL default '0',
  `title` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `extension` varchar(255) default NULL,
  `xsl_file` blob,
  PRIMARY KEY  (`id_export`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_field`
--

DROP TABLE IF EXISTS `form_field`;
CREATE TABLE `form_field` (
  `id_field` int(11) NOT NULL default '0',
  `id_entry` int(11) NOT NULL default '0',
  `title` varchar(255),
  `value` text,
  `height` int(11) default NULL,
  `width` int(11) default NULL,
  `default_value` tinyint(1) default NULL,
  `max_size_enter` int(11) default NULL,
  `position` int(11) default NULL,
  `value_type_date` date NULL default NULL,
  PRIMARY KEY  (`id_field`),
  KEY `contain2_fk` (`id_entry`),
  CONSTRAINT `fk_enter` FOREIGN KEY (`id_entry`) REFERENCES `form_entry` (`id_entry`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_form`
--

DROP TABLE IF EXISTS `form_form`;
CREATE TABLE `form_form` (
  `id_form` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `welcome_message` text,
  `unavailability_message` text,
  `requirement_message` text,
  `workgroup` varchar(255),
  `id_mailing_list` int(11) default NULL,
  `active_captcha` tinyint(1) default NULL,
  `active_store_adresse` tinyint(1) default NULL,
  `libelle_validate_button` varchar(255),
  `date_end_disponibility` date NULL default NULL,
  `active` tinyint(1) default NULL,
  `date_creation` timestamp NULL default NULL,
  `limit_number_response` tinyint(1) default NULL,
  `id_recap` int(11) default NULL,
  `active_requirement`tinyint(1) default NULL,
  PRIMARY KEY  (`id_form`),
  KEY `fk_form2` (`id_recap`),
  CONSTRAINT `fk_form2` FOREIGN KEY (`id_recap`) REFERENCES `form_recap` (`id_recap`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_graph_type`
--

DROP TABLE IF EXISTS `form_graph_type`;
CREATE TABLE `form_graph_type` (
  `id_graph_type` int(11) NOT NULL default '0',
  `title` varchar(255) default NULL,
   `class_name` varchar(255),
  PRIMARY KEY  (`id_graph_type`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_recap`
--

DROP TABLE IF EXISTS `form_recap`;
CREATE TABLE `form_recap` (
  `id_recap` int(11) NOT NULL default '0',
  `back_url` text,
  `id_graph_type` int(11) default NULL,
  `recap_message` text,
  `recap_data` tinyint(1) default NULL,
  `graph` tinyint(1) default NULL,
  `graph_three_dimension` tinyint(1) default NULL,
  `graph_legende` tinyint(1) default NULL,
  `graph_value_legende` varchar(255),
  `graph_label` tinyint(1) default NULL,
  PRIMARY KEY  (`id_recap`),
  KEY `contain4_fk` (`id_graph_type`),
  KEY `contain_entree2_fk` (`id_recap`),
  CONSTRAINT `fk_graph_type` FOREIGN KEY (`id_graph_type`) REFERENCES `form_graph_type` (`id_graph_type`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_response`
--

DROP TABLE IF EXISTS `form_response`;
CREATE TABLE `form_response` (
  `id_response` int(11) NOT NULL default '0',
  `id_form_submit` int(11) default NULL,
  `response_value`  longblob,
  `id_entry` int(11) default NULL,
  `id_field` int(11) default NULL,
  `file_name` varchar(255),
  `file_extension` varchar(10),
  PRIMARY KEY  (`id_response`),
  KEY `enter2_fk` (`id_entry`),
  KEY `form_response_fk` (`id_form_submit`),
  CONSTRAINT `fk_form_response` FOREIGN KEY (`id_form_submit`) REFERENCES `form_submit` (`id_form_submit`),
  CONSTRAINT `fk_enter2` FOREIGN KEY (`id_entry`) REFERENCES `form_entry` (`id_entry`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_submition`
--

DROP TABLE IF EXISTS `form_submit`;
CREATE TABLE `form_submit` (
  `id_form_submit` int(11) NOT NULL default '0',
  `date_response` timestamp NULL default NULL,
  `day_date_response` int(2) default NULL,
  `week_date_response` int(2) default NULL,
  `month_date_response` int(2) default NULL,
  `year_date_response` int(4) default NULL,
   `ip` varchar(100),
  `id_form` int(11) default NULL,
   PRIMARY KEY  (`id_form_submit`),
   KEY `form_fk` (`id_form`),
   CONSTRAINT `fk_form` FOREIGN KEY (`id_form`) REFERENCES `form_form` (`id_form`)
)  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



--
-- Table structure for table `form_verify_by`
--

DROP TABLE IF EXISTS `form_verify_by`;
CREATE TABLE `form_verify_by` (
  `id_field` int(11) NOT NULL default '0',
  `id_expression` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id_field`,`id_expression`),
  KEY `contain3_fk` (`id_field`),
 CONSTRAINT `fk_field` FOREIGN KEY (`id_field`) REFERENCES `form_field` (`id_field`)
  )  ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



--
-- Table structure for table `form_action`
--

DROP TABLE IF EXISTS `form_action`;
CREATE TABLE `form_action` (
  `id_action` int(11) NOT NULL default '0',
  `name_key` varchar(100) collate utf8_unicode_ci default NULL,
  `description_key` varchar(100) collate utf8_unicode_ci default NULL,
  `action_url` varchar(255) collate utf8_unicode_ci default NULL,
  `icon_url` varchar(255) collate utf8_unicode_ci default NULL,
  `action_permission` varchar(255) collate utf8_unicode_ci default NULL,
  `form_state` tinyint(1) default NULL,
  PRIMARY KEY  (`id_action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


--
-- Table structure for table `form_notify_sender_configuration`
--

DROP TABLE IF EXISTS `form_notify_sender_configuration`;
CREATE TABLE `form_notify_sender_configuration` (
  `id_form` int(11) NOT NULL default '0',
  `id_entry_email_sender` int(11) NOT NULL default '0',
   `message` text,
   PRIMARY KEY  (`id_form`,`id_entry_email_sender`)
)ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



--
-- Table structure for table `form_processor`
--

DROP TABLE IF EXISTS `form_form_processor`;
CREATE TABLE `form_form_processor` (
  `id_form` int(11) NOT NULL default '0',
  `key_processor` varchar(255) collate utf8_unicode_ci default NULL,
   PRIMARY KEY  (`id_form`,`key_processor`)
)ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;








/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
 
